# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

MY_PV="${PV}-2023-08-01"

PYTHON_COMPAT=( python3_{10,11,12} )

inherit python-r1

DESCRIPTION="importing device and module types into NetBox"
HOMEPAGE="https://github.com/netbox-community/Device-Type-Library-Import"
SRC_URI="https://github.com/netbox-community/Device-Type-Library-Import/archive/refs/tags/v${MY_PV}.tar.gz -> ${P}.tar.gz
	https://patch-diff.githubusercontent.com/raw/netbox-community/Device-Type-Library-Import/pull/155.patch -> ${PN}-new-filters.patch
	https://patch-diff.githubusercontent.com/raw/netbox-community/Device-Type-Library-Import/pull/130.patch -> ${PN}-fix-import-with-slugs.patch"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="${PYTHON_DEPS}
	dev-python/gitpython[${PYTHON_USEDEP}]
	dev-python/jsonschema[${PYTHON_USEDEP}]
	dev-python/jsondiff[${PYTHON_USEDEP}]
	dev-python/psutil[${PYTHON_USEDEP}]
	dev-python/pynetbox[${PYTHON_USEDEP}]
	dev-python/pytest[${PYTHON_USEDEP}]
	dev-python/python-dotenv[${PYTHON_USEDEP}]
	dev-python/pyyaml[${PYTHON_USEDEP}]
	dev-util/yamllint[${PYTHON_USEDEP}]
	www-apps/netbox"
DEPEND="${RDEPEND}"

S="${WORKDIR}/Device-Type-Library-Import-${MY_PV}"

DOCS=( README.md )

PATCHES=(
	"${DISTDIR}"/${PN}-new-filters.patch
	"${DISTDIR}"/${PN}-fix-import-with-slugs.patch
	"${FILESDIR}"/${PN}-env-repo-path.patch
)

src_install() {
	insinto "/usr/lib/netbox-device-type-library-import"
	doins *.py
	exeinto "/usr/lib/netbox-device-type-library-import"
	doexe nb-dt-import.py

	exeinto "/etc/netbox"
	doexe "${FILESDIR}"/device-type-library-import.sh

	keepdir "/var/lib/netbox-device-type-library-import"
	fowners netbox:netbox "/var/lib/netbox-device-type-library-import"
}
